Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::make_move_sentinel_fn Struct Reference
Utility

## Public Member Functions
template<typename I , requires = (InputIterator<I>())>
constexpr move_iterator< I > | operator() (I i) const
template<typename S , requires = (SemiRegular<S>() && !InputIterator<S>())>
constexpr move_sentinel< S > | operator() (S s) const